Page MenuHomePhabricator

Log all user preferred languages instead of just one
Closed, ResolvedPublic2 Estimate Story Points

Description

Basically change this line: https://github.com/wikimedia/wikimedia-portals/blob/master/dev/wikipedia.org/assets/js/wikipedia-org-event-logging.js#L23

This will have the event logger capture all preferred languages (if the user has set them) rather than just taking the first one. Currently, on the client side, we capture this information, but the server side event logging does not.

Event Timeline

JGirault created this task.Mar 2 2016, 12:00 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2016, 12:00 AM
JGirault updated the task description. (Show Details)
debt added a subscriber: debt.Mar 2 2016, 12:32 AM
debt updated the task description. (Show Details)Mar 2 2016, 12:37 AM

Change 274497 had a related patch set uploaded (by Jdrewniak):
Sending all preferred languages to event logging instead of just one.

https://gerrit.wikimedia.org/r/274497

debt moved this task from Needs triage to UX on the Discovery board.Mar 3 2016, 9:17 PM

Change 276738 had a related patch set uploaded (by Jdrewniak):
Sending all preferred languages to event logging instead of just one.

https://gerrit.wikimedia.org/r/276738

Change 274497 abandoned by Jdrewniak:
Sending all preferred languages to event logging instead of just one.

Reason:
A new patch has been submitted to replace this one.

https://gerrit.wikimedia.org/r/274497

Change 276738 merged by jenkins-bot:
Sending all preferred languages to event logging instead of just one.

https://gerrit.wikimedia.org/r/276738

debt moved this task from UX to On Sprint Board on the Discovery board.Mar 15 2016, 4:53 PM
debt closed this task as Resolved.Mar 23 2016, 6:18 PM

This was put into production as part of the A/B test that went live on March 22, 2016.

debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Apr 7 2016, 3:37 PM